Summary:	Linux-native io_uring I/O access library
Summary(pl.UTF-8):	Biblioteka natywnego dla Linuksa dostępu we/wy io_uring
Name:		liburing
Version:	2.10
Release:	1
License:	LGPL v2+ or MIT
Group:		Libraries
Source0:	https://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2
# Source0-md5:	a3f227bbe8dd2115549b9837909b52ad
URL:		https://git.kernel.dk/cgit/liburing/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer -fno-stack-protector
%define		filterout_c	-fstack-protector.*

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%description -l pl.UTF-8
Biblioteka udostępnia w sposób szybki i wydajny natywne,
asynchroniczne operacje we/wy dla jądra Linuksa, zarówno buforowane,
jak i O_DIRECT.

%package devel
Summary:	Header files and development documentation for liburing
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programistyczna do biblioteki liburing
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Linux-native io_uring I/O access library.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki dostępu do natywnego dla Linuksa we/wy
io_uring.

%package static
Summary:	Static liburing library
Summary(pl.UTF-8):	Statyczna biblioteka liburing
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liburing library.

%description static -l pl.UTF-8
Statyczna biblioteka liburing.

%package ffi
Summary:	io_uring FFI library
Summary(pl.UTF-8):	Biblioteka FFI dla io_uring
Group:		Libraries

%description ffi
io_uring FFI library.

%description ffi -l pl.UTF-8
Biblioteka FFI dla io_uring.

%package ffi-devel
Summary:	Development files for liburing-ffi
Summary(pl.UTF-8):	Pliki programistyczne do biblioteki liburing-ffi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ffi = %{version}-%{release}

%description ffi-devel
Development files for liburing-ffi.

%description ffi-devel -l pl.UTF-8
Pliki programistyczne do biblioteki liburing-ffi.

%package ffi-static
Summary:	Static liburing-ffi library
Summary(pl.UTF-8):	Statyczna biblioteka liburing-ffi
Group:		Development/Libraries
Requires:	%{name}-ffi-devel = %{version}-%{release}

%description ffi-static
Static liburing-ffi library.

%description ffi-static -l pl.UTF-8
Statyczna biblioteka liburing-ffi.

%prep
%setup -q

%build
# not autoconf configure
./configure \
	--cc="%{__cc}" \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libdevdir=%{_libdir} \
	--mandir=%{_mandir} \
	--includedir=%{_includedir}

%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	V=1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   ffi -p /sbin/ldconfig
%postun ffi -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_libdir}/liburing.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liburing.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liburing.so
%{_includedir}/liburing
%{_includedir}/liburing.h
%{_pkgconfigdir}/liburing.pc
%{_mandir}/man2/io_uring_*.2*
%{_mandir}/man3/__io_uring_*.3*
%{_mandir}/man3/IO_URING_*.3*
%{_mandir}/man3/io_uring_*.3*
%{_mandir}/man7/io_uring.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/liburing.a

%files ffi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liburing-ffi.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liburing-ffi.so.2

%files ffi-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liburing-ffi.so
%{_pkgconfigdir}/liburing-ffi.pc

%files ffi-static
%defattr(644,root,root,755)
%{_libdir}/liburing-ffi.a
%changelog
* Fri Jun 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liburing.git;a=log;h=master

* Thu Jun 05 2025 Jan Palus <atler@pld-linux.org> 8047109
- up to 2.10

* Tue Feb 04 2025 Jan Palus <atler@pld-linux.org> 32a750e
- up to 2.9

* Sat Oct 26 2024 Jan Palus <atler@pld-linux.org> c2be313
- up to 2.8

* Sat Aug 17 2024 Jan Palus <atler@pld-linux.org> c5ee3a0
- up to 2.7

* Wed May 01 2024 Jan Palus <atler@pld-linux.org> d774e75
- up to 2.6

* Sun Nov 05 2023 Jan Palus <atler@pld-linux.org> edd8ed0
- BR: libstdc++-devel

* Sun Nov 05 2023 Jan Palus <atler@pld-linux.org> 57b882c
- up to 2.5

* Tue Jun 13 2023 Jakub Bogusz <qboosh@pld-linux.org> c591297
- added missing group to -ffi and dependency to -ffi-devel

* Fri Jun 09 2023 Jan Palus <atler@pld-linux.org> 92cf35c
- up to 2.4

* Wed Nov 02 2022 Jan Palus <atler@pld-linux.org> 713034d
- up to 2.3

* Sun Jun 26 2022 Jan Palus <atler@pld-linux.org> ead9c24
- up to 2.2

* Sun Jun 26 2022 Jan Palus <atler@pld-linux.org> 5ac6f9a
- enable verbose build

* Fri Sep 10 2021 Jan Palus <atler@pld-linux.org> fac7bab
- up to 2.1

* Mon Mar 08 2021 Jan Palus <atler@pld-linux.org> 38eb422
- up to 2.0 (new soname)

* Fri Dec 04 2020 Jan Palus <atler@pld-linux.org> 4b7e4d1
- up to 0.7

* Sat May 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 95832a5
- updated to 0.6

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 4f2447e
- pl, optflags

* Wed Mar 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 3931b93
- initial

